Name:           kqemu
Version:        1.3.0
Release:        0.1.pre11%{?dist}
Summary:        The QEMU Accelerator Module (KQEMU)

Group:          System Environment/Kernel
License:        GPL
URL:            http://fabrice.bellard.free.fr/qemu
Source0:        http://fabrice.bellard.free.fr/qemu/kqemu-%{version}pre11.tar.gz
Source1:        http://kwizart.free.fr/fedora/SOURCES/%{name}.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Provides:       kqemu-kmod-common = %{version}
Requires:       kqemu-kmod >= %{version}

BuildRequires:  texi2html

Requires(post):   /sbin/chkconfig
Requires(post):   /sbin/service
Requires(preun): /sbin/service
Requires(preun): /sbin/chkconfig

Requires: qemu

%description
The QEMU Accelerator Module increases the speed of QEMU when a PC is 
emulated on a PC. It runs most of the target application code directly 
on the host processor to achieve near native performance. 


#%package tests
#Summary:       Test kernel and application for kqemu
#Group:         System Environment/Kernel
#Requires:      %{name} = %{version}-%{release}
#
#%description tests
#Tests kernel and application for kqemu

#%package devel
#Summary:       Test kernel and application for kqemu
#Group:         Development/System
#Requires:      %{name} = %{version}-%{release}

#%description devel
#Development files for kqemu


%prep
%setup -q -n kqemu-%{version}pre11


%build
%configure \
  --libdir=%{_libdir} \
  --kernel-path=%{_includedir}
#  --cc=gcc34 \
#  --host-cc=gcc34 
make doc
#make -C tests

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/kqemu
#mkdir -p $RPM_BUILD_ROOT%{_includedir}/kqemu
#install -m 0644 *.h $RPM_BUILD_ROOT%{_includedir}/kqemu
#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#install -m 0755 tests/kqemutest $RPM_BUILD_ROOT%{_bindir}/kqemutest
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
echo 'KERNEL=="kqemu", NAME="%k", MODE="0666"' \
     > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-kqemu.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kqemu
/sbin/service kqemu restart > /dev/null 2>&1 || :

%preun 
if [ "$1" = 0 ]; then
/sbin/service kqemu stop > /dev/null 2>&1 || :
/sbin/chkconfig --del kqemu
fi 


%files
%defattr(-,root,root,-)
%doc Changelog COPYING LICENSE README
%doc tests *.html
%config %{_sysconfdir}/udev/rules.d/60-kqemu.rules
%{_initrddir}/kqemu

#%files tests
#%defattr(-,root,root,-)
#%doc tests/README
#%{_bindir}/kqemutest

#%files devel
#%defattr(-,root,root,-)
#%doc tests
#%{_includedir}/kqemu/*.h


%changelog
* Fri Feb 09 2007 kwizart < kwizart at gmail.com > - 1.3.0-0.1.pre11
- Initial GPL Release.
